scala.xml.persistent

# SetStorage

#### class SetStorage extends CachedFileStorage

A persistent store with set semantics. This class allows to add and remove trees, but never contains two structurally equal trees.

Source
  SetStorage.scala

Linear Supertypes
CachedFileStorage, Logged, Thread, Runnable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SetStorage
2. CachedFileStorage
3. Logged
4. Thread
5. Runnable
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SetStorage(file: File)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SetStorage to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def +=(e: Node): Unit

   adds a node, setting this.

   adds a node, setting this.dirty to true as a side effect

   Definition Classes
     SetStorage → CachedFileStorage

6. #### def -=(e: Node): Unit

   removes a tree, setting this.

   removes a tree, setting this.dirty to true as a side effect

   Definition Classes
     SetStorage → CachedFileStorage

7. #### def ->[B](y: B): (SetStorage, B)

   Implicit information
     This member is added by an implicit conversion from SetStorage to ArrowAssoc[SetStorage] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

8. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

10. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

11. #### final def checkAccess(): Unit

    Definition Classes
      Thread

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      Thread → AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

13. #### var dirty: Boolean

    this storage modified since last modification check

    this storage modified since last modification check

    Attributes
      protected
    Definition Classes
      CachedFileStorage

14. #### def ensuring(cond: (SetStorage) ⇒ Boolean, msg: ⇒ Any): SetStorage

    Implicit information
      This member is added by an implicit conversion from SetStorage to Ensuring[SetStorage] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (SetStorage) ⇒ Boolean): SetStorage

    Implicit information
      This member is added by an implicit conversion from SetStorage to Ensuring[SetStorage] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): SetStorage

    Implicit information
      This member is added by an implicit conversion from SetStorage to Ensuring[SetStorage] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): SetStorage

    Implicit information
      This member is added by an implicit conversion from SetStorage to Ensuring[SetStorage] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

21. #### def flush(): Unit

    Force writing of contents to the file, even if there has not been any update.

    Force writing of contents to the file, even if there has not been any update.

    Definition Classes
      CachedFileStorage

22. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from SetStorage to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

23. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

24. #### def getContextClassLoader(): ClassLoader

    Definition Classes
      Thread

25. #### def getId(): Long

    Definition Classes
      Thread

26. #### final def getName(): String

    Definition Classes
      Thread

27. #### final def getPriority(): Int

    Definition Classes
      Thread

28. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Thread

29. #### def getState(): State

    Definition Classes
      Thread

30. #### final def getThreadGroup(): ThreadGroup

    Definition Classes
      Thread

31. #### def getUncaughtExceptionHandler(): UncaughtExceptionHandler

    Definition Classes
      Thread

32. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

33. #### def initialNodes: collection.Iterator[Node]

    finds and loads the storage file.

    finds and loads the storage file. subclasses should call this method prior to any other, but only once, to obtain the initial sequence of nodes.

    Attributes
      protected
    Definition Classes
      CachedFileStorage

34. #### def interrupt(): Unit

    Definition Classes
      Thread

35. #### val interval: Int

    period between modification checks, in milliseconds

    period between modification checks, in milliseconds

    Attributes
      protected
    Definition Classes
      CachedFileStorage

36. #### final def isAlive(): Boolean

    Definition Classes
      Thread

37. #### final def isDaemon(): Boolean

    Definition Classes
      Thread

38. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

39. #### def isInterrupted(): Boolean

    Definition Classes
      Thread

40. #### final def join(): Unit

    Definition Classes
      Thread
    Annotations
      @throws ( ... )

41. #### final def join(arg0: Long, arg1: Int): Unit

    Definition Classes
      Thread
    Annotations
      @throws ( ... )

42. #### final def join(arg0: Long): Unit

    Definition Classes
      Thread
    Annotations
      @throws ( ... )

43. #### def log(msg: String): Unit

    This method should log the message given as argument somewhere as a side-effect.

    This method should log the message given as argument somewhere as a side-effect.

    msg

      message to be logged

    Definition Classes
      Logged

44. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

45. #### def nodes: collection.Iterator[Node]

    returns an iterator over the nodes in this storage

    returns an iterator over the nodes in this storage

    Definition Classes
      SetStorage → CachedFileStorage

46. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

47. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

48. #### def run(): Unit

    Run method of the thread.

    Run method of the thread. remember to use `start()` to start a thread, not `run`.

    Definition Classes
      CachedFileStorage → Thread → Runnable

49. #### def setContextClassLoader(arg0: ClassLoader): Unit

    Definition Classes
      Thread

50. #### final def setDaemon(arg0: Boolean): Unit

    Definition Classes
      Thread

51. #### final def setName(arg0: String): Unit

    Definition Classes
      Thread

52. #### final def setPriority(arg0: Int): Unit

    Definition Classes
      Thread

53. #### def setUncaughtExceptionHandler(arg0: UncaughtExceptionHandler): Unit

    Definition Classes
      Thread

54. #### def start(): Unit

    Definition Classes
      Thread

55. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

56. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Thread → AnyRef → Any

57. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

58. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

59. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

60. #### def →[B](y: B): (SetStorage, B)

    Implicit information
      This member is added by an implicit conversion from SetStorage to ArrowAssoc[SetStorage] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SetStorage to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (setStorage: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SetStorage to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (setStorage: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def countStackFrames(): Int

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def destroy(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### final def resume(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### final def stop(arg0: java.lang.Throwable): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### final def stop(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### final def suspend(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

7. #### def x: SetStorage

   Implicit information
     This member is added by an implicit conversion from SetStorage to ArrowAssoc[SetStorage] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (setStorage: ArrowAssoc[SetStorage]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

8. #### def x: SetStorage

   Implicit information
     This member is added by an implicit conversion from SetStorage to Ensuring[SetStorage] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (setStorage: Ensuring[SetStorage]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from CachedFileStorage

### Inherited from Logged

### Inherited from Thread

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SetStorage to StringAdd

### Inherited by implicit conversion any2stringfmt from SetStorage to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from SetStorage to ArrowAssoc[SetStorage]

### Inherited by implicit conversion any2Ensuring from SetStorage to Ensuring[SetStorage]

### Ungrouped